Get a list of forms
/rest/ofscMetadata/v1/forms
Request
-
language: string
The translation language code. Based on the value of this parameter, the translation for the name of the form is returned in the 'name' field.
- If the value is specified, then the translated value is returned in the 'name' field and the 'translations' field is not returned in the response.
- If translation for the specified language does not exist, then the value in the 'name' field is returned in English.
- If the value is not specified, then the 'translations' field is returned in the response and contains the translations to every language in the system.
For the list of supported language codes, see Supported Language Codes.
-
limit: integer
Minimum Value:
1Maximum Value:100The number of form records to be returned in the response. The minimum value that can be specified is 1 and the maximum value that can be specified is 100. If the specified value is greater than 100, zero, or if no value is specified, then it defaults to 100. -
offset: integer
Minimum Value:
0The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
Response
- application/json
- application/schema+json
200 Response
objectForms-
hasMore:
boolean
Title:
Has MoreContains one of the following values: true or false.If true, then there are more results that can be retrieved with successive paging requests.
If false or if the value is not present, then there are no more results or this is the final page. The default value is true.
-
items:
array Items
Title:
ItemsThe collection of forms. -
limit:
integer
Title:
LimitThe limit value specified in the request. If the value is not specified in the request or if the specified value is not accepted, then it defaults to 100. -
offset:
integer
Title:
OffsetThe offset value specified in the request. -
totalResults:
integer
Title:
Total ResultsThe total number of form records in the collection.
arrayItems-
Array of:
object Form
Title:
FormThe form entity in the Oracle Field Service application.
objectForm-
label(required):
string
Title:
LabelMinimum Length:1Maximum Length:40The label of the form. -
name(required):
string
Title:
NameMinimum Length:1Maximum Length:255The translation of the name of the form to the specified language. -
translations:
array Translations
Title:
TranslationsThe list of associated translations that is returned for the name of the form. The list is only returned if the language parameter is not specified in the request.
arrayTranslationsobject-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
object-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
Example 1
The following example shows how to obtain a list of forms with the GET request on the REST resource using cURL.
cURL command Example
The following shows an example of the cURL command.
curl -u '<CLIENT-ID>@<INSTANCE-NAME>:<CLIENT-SECRET>' -H 'Accept: application/json' 'https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms/?limit=2&offset=2'
Response Header Example
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx Date: Wed, 24 Jan 2018 12:28:18 GMT Content-Type: application/json; charset=utf-8 Connection: close
Response Body Example
The following shows an example of the response body in JSON format.
{
"hasMore": true,
"totalResults": 5,
"limit": 2,
"offset": 2,
"items": [
{
"label": "mob_inv",
"name": "Mob Inv",
"translations": [
{
"language": "en",
"name": "Mob Inv",
"languageISO": "en-US"
},
{
"language": "es",
"name": "Mob EQ",
"languageISO": "es-ES"
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms/mob_inv"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/forms"
}
]
},
{
"label": "hi_inv",
"name": "Hi Inv",
"translations": [
{
"language": "en",
"name": "Hi Inv",
"languageISO": "en-US"
},
{
"language": "es",
"name": "Hi EQ",
"languageISO": "es-ES"
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms/hi_inv"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/forms"
}
]
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms?limit=2&offset=2"
},
{
"rel": "prev",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms?limit=2&offset=0"
},
{
"rel": "next",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms?limit=2&offset=4"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/forms"
}
]
}
Example 2
The following example shows how to obtain form attributes by using the language parameter with the GET request on the REST resource using cURL.
cURL command Example
The following shows an example of the cURL command.
curl -u '<CLIENT-ID>@<INSTANCE-NAME>:<CLIENT-SECRET>' -H 'Accept: application/json' 'https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms/?language=en-US&limit=2&offset=2'
Response Header Example
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx Date: Wed, 24 Jan 2018 12:28:18 GMT Content-Type: application/json; charset=utf-8 Connection: close
Response Body Example
The following shows an example of the response body in JSON format.
{
"hasMore": true,
"totalResults": 5,
"limit": 2,
"offset": 2,
"items": [
{
"label": "mob_inv",
"name": "Mob Inv",
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms/mob_inv"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/forms"
}
]
},
{
"label": "hi_inv",
"name": "Hi Inv",
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms/hi_inv"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/forms"
}
]
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms?limit=2&offset=2"
},
{
"rel": "prev",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms?limit=2&offset=0"
},
{
"rel": "next",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/forms?limit=2&offset=4"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/forms"
}
]
}